I have been advised that MacOS Catalina 10.15.7 is unsupported, but my Mac says my system is current

Options
McG
McG Member Posts: 2 Newcomer

What do I need to do to be able to run a supported version of Maschine Mk3 on my computer?

Thanks in advance.

Mike

Answers

  • Aymara
    Aymara Member Posts: 7 Member
    edited May 1
    Options

    It seems your Mac is too old to run a newer version of macOS. I had a similar problem with my mid 2014 MacBook Pro, where macOS Big Sur was the latest supported version. Apple supports Macs for 6 years from release on. Then the Mac won't get no further new macOS version, but each macOS gets security updates for 3 years.

    So in your case you won't get any macOS updates at all, because Catalina is no longer supported.

    You have two options:

    1. Buy a newer Mac, that is able to run at least macOS Ventura, be it a new, a refurbished or a used one.
    2. Check out, if your Mac is able to run Ventura with Open Core Legacy Patcher.
      My old MBP could and my son in law is happy to use it now, after I bought a new one.
      But be warned, that some security features need to be switched off to be able to run OCLP.
      OCLP Website: https://dortania.github.io/OpenCore-Legacy-Patcher/

Back To Top